Subject: Re: [PATCH -next] regmap: add structs to fix build warnings when REGMAP is not enabled

From: Mark Brown <[email-masked]>
Date: Sun, 11 Mar 2012 11:57:58 +0000

On Fri, Mar 09, 2012 at 11:31:57AM -0800, Randy Dunlap wrote:
> From: Randy Dunlap <[email-masked]>
> 
> Fix build warnings when CONFIG_REGMAP is not enabled by providing
> struct forward references.

This isn't a great approach - you've put the forward declarations into
the ifdef which is at best needless (if they conflict with anything real
something went badly wrong) and for the register defaults the chances
are anything actually trying to use that stub needs to know about the
definition so the ifdef should be pulled further down the function.

I've done something better.